Bug 102193 - Installer gets an error when trying any of the partitioning options
Installer gets an error when trying any of the partitioning options
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
: 104401 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-12 09:36 EDT by dan ludwig
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-15 21:03:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Replacement lvm.py to avoid vgscan failures (6.23 KB, text/plain)
2003-08-12 12:16 EDT, Michael Fulbright
no flags Details

  None (edit)
Description dan ludwig 2003-08-12 09:36:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
This is the output when I try to use Automatic Partition, Disk Druid, or fdisk
during the partitioning section under custom installation:

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 632, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 150, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/partitioning.py", line 57, in partitionObjectsInitialize
    partitions.setFromDisk(diskset)
  File "/usr/lib/anaconda/partitions.py", line 184, in setFromDisk
    lvm.vgscan()
  File "/usr/lib/anaconda/lvm.py", line 38, in vgscan
    raise SystemError, "vgscan failed"
SystemError: vgscan failed

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Go through installation Wizard with English Language, US Keyboard
2. Choose Custom Installation
3. Choose any partitioning option

    

Actual Results:  Error Report:

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 632, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 150, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/partitioning.py", line 57, in partitionObjectsInitialize
    partitions.setFromDisk(diskset)
  File "/usr/lib/anaconda/partitions.py", line 184, in setFromDisk
    lvm.vgscan()
  File "/usr/lib/anaconda/lvm.py", line 38, in vgscan
    raise SystemError, "vgscan failed"
SystemError: vgscan failed

Expected Results:  Continue through installation

Additional info:
Comment 1 Michael Fulbright 2003-08-12 12:15:54 EDT
Try putting the file in the 'lvm.py' attachment onto a FAT formatted floppy, and
then run the installer with 'linux updates' and any other command line options
you may require. When asked insert the 'updates floppy'.

Let me know how it works.
Comment 2 Michael Fulbright 2003-08-12 12:16:36 EDT
Created attachment 93603 [details]
Replacement lvm.py to avoid vgscan failures
Comment 3 Michael Fulbright 2003-09-24 16:57:15 EDT
*** Bug 104401 has been marked as a duplicate of this bug. ***
Comment 4 Jeremy Katz 2003-10-15 21:03:21 EDT
Closing due to inactivity.  Please reopen if you have any further information to
add to this bug report

Note You need to log in before you can comment on or make changes to this bug.